0

I just converted to an iMac and my new external floppy disk drive says it won't work because I don't have iMac OS 9. Does anyone know where I can download this for free? Thanks. tf

3
Contributors
8
Replies
9
Views
12 Years
Discussion Span
Last Post by Bonniesherwood
0

Hi, it's me again. Since earlier post I've learned that my Mac OS is OS X, version 10.3. Someone also said that only version 9 has the "classic" option which is needed to install the external floppy disk drive. I have no idea how to download version 9 without losing version 10.3. Is there a way to just install the "classic" option without installing the complete version 9? Thanks.

0

You cannot legally download OS 9. It's very possible that the installer DVD that came with your iMac has a 'software restore' feature, one part of which will be for installing Classic. You really want to avoid using anything that requires Classic/OS 9. It's now 5 years+ old and will never be updated and it's support life is getting very short.

Personally, I don't believe that you need to use Classic for the floppy to work. And if so, you should replace that floppy drive with one that works in OS X. And then get your data off floppies, throw that floppy drive in a closet on a shelf and never look at it again.

Have you just tried plugging in the floppy drive and putting a floppy in it?

0

Thanks Yellow. I just put a disk in and voila! Installation CD was misleading. Everything seems to be working ok so far. tf

This topic has been dead for over six months. Start a new discussion instead.
Have something to contribute to this discussion? Please be thoughtful, detailed and courteous, and be sure to adhere to our posting rules.